EDIT - bug #6317

LIE during request to portal/taxon/find.json
01/09/2017 12:31 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 4.5

Severity: normal Found in Version:

Description

http://api.cybertaxonomy.org/salvador/portal/taxon/find.json?doTaxaByCommonNames=1&doMisappliedNames=1&doSynonyms=1&
doTaxa=1&pageNumber=0&pageSize=25&query=Tecoma&tree=b010c84d-6049-45{4-9f13-c065101eaa26

Caused by: org.hibernate.LazyInitializationException: failed to lazily initialize a collection of
role: eu.etaxonomy.cdm.model.agent.Team.teamMembers, could not initialize proxy - no Session

at org.hibernate.collection.internal.AbstractPersistentCollection.throwLazyInitializationExcep
tion (AbstractPersistentCollection.java:567)

at org.hibernate.collection.internal.AbstractPersistentCollection.withTemporarySessionIfNeeded
(AbstractPersistentCollection. java:205)

at org.hibernate.collection.internal.AbstractPersistentCollection.initialize (AbstractPersisten
tCollection. java:546)

at org.hibernate.collection.internal.AbstractPersistentCollection.read (AbstractPersistentColle
ction.java:133)

at org.hibernate.collection.internal.PersistentlList.iterator (PersistentList.java:132)

at eu.etaxonomy.cdm.strategy.cache.agent.TeamDefaultCacheStrategy.getTitleCache (TeamDefaultCac
heStrategy. java:89)

at eu.etaxonomy.cdm.strategy.cache.agent.TeamDefaultCacheStrategy.getTitleCache (TeamDefaultCac
heStrategy.java:1l)

at eu.etaxonomy.cdm.model.common.IdentifiableEntity.generateTitle (IdentifiableEntity.java:677)

at eu.etaxonomy.cdm.model.agent.Team.getTitleCache (Team. java:301)

at eu.etaxonomy.cdm.remote.json.processor.bean.TeamOrPersonBaseBeanProcessor.processBeanSecond
Step (TeamOrPersonBaseBeanProcessor. java:40)

at eu.etaxonomy.cdm.remote.json.processor.bean.TeamOrPersonBaseBeanProcessor.processBeanSecond
Step (TeamOrPersonBaseBeanProcessor. java:23)

at eu.etaxonomy.cdm.remote.json.processor.bean.AbstractBeanProcessor.processBean (AbstractBeanP
rocessor.java:168)

at net.sf.json.JSONObject._fromBean (JSONObject.java:676)

Related issues:
Related to EDIT - bug #4377: LazylnitializationException (LIE) related to Te... Closed

Associated revisions

Revision 79902¢85 - 01/09/2017 04:11 PM - Andreas Kohlbecker

fix #6317 fixing LIE related to inReference author teams

History

#1 - 01/09/2017 04:11 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|79902¢85abf9675dbc9838a71327de7a54b53dd4.

#2 - 01/10/2017 11:53 AM - Andreas Kohlbecker

- Related to bug #4377: LazylnitializationException (LIE) related to Team.teamMembers when calling portal/taxon.json added

#3 -01/11/2017 02:19 PM - Andreas Kohlbecker
- Related to deleted (bug #4377: LazylnitializationException (LIE) related to Team.teamMembers when calling portal/taxon.json)
#4 - 01/11/2017 02:22 PM - Andreas Kohlbecker

- Is duplicate of bug #4377: LazyInitializationException (LIE) related to Team.teamMembers when calling portal/taxon.json added

#5 - 01/11/2017 02:24 PM - Andreas Kohlbecker

- Is duplicate of deleted (bug #4377: LazylnitializationException (LIE) related to Team.teamMembers when calling portal/taxon.json)

#6 - 01/11/2017 02:25 PM - Andreas Kohlbecker
- Related to bug #4377: LazylnitializationException (LIE) related to Team.teamMembers when calling portal/taxon.json added

#7 - 01/19/2017 03:43 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed

#8 - 07/31/2017 08:42 PM - Andreas Miiller
- % Done changed from 50 to 100
